Skip to main content
GET
CLI

Authorizations

Authorization
string
header
required

API Key in Bearer format (e.g., Bearer sk_test_...)

Headers

X-API-Key
string

API key

Query Parameters

limit
number
default:500

Number of results to return (1-1000). Use with offset for traditional pagination.

Required range: 1 <= x <= 1000
offset
number
default:0

Number of results to skip. Use with limit for traditional pagination.

Required range: x >= 0
page_size
number
default:500

Number of results per page (1-1000). Use with starting_after for cursor-based pagination.

Required range: 1 <= x <= 1000
starting_after
string

Cursor for pagination. Use the ID of the last item from the previous page to get the next page. Use with page_size for cursor-based pagination.

id
string

Account ID prefix to search for

customerId
string

Customer ID to filter accounts by

holdsBalance
boolean

Only return balance accounts (USD or stablecoin). Same set as POST /v1/balance-accounts and POST /v1/balance-accounts/stablecoin.

balanceSourceEligible
boolean

Only return balance accounts that can fund a transfer from balance. Narrower than holdsBalance.

Response

Paginated list of all accounts

data
object[]
total
number
limit
number
offset
number